Bug 518432 - setroubleshoot: SELinux is preventing udev-acl.ck (consolekit_t) "getattr" udev_tbl_t.
Summary: setroubleshoot: SELinux is preventing udev-acl.ck (consolekit_t) "getatt...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:906e7bb461b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 12:09 UTC by Frank Murphy
Modified: 2009-08-20 14:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-20 14:00:46 UTC


Attachments (Terms of Use)

Description Frank Murphy 2009-08-20 12:09:22 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing udev-acl.ck (consolekit_t) "getattr" udev_tbl_t.

Detailed Description:

[SELinux is in permissive mode, the operation would have been denied but was
permitted due to permissive mode.]

SELinux denied access requested by udev-acl.ck. It is not expected that this
access is required by udev-acl.ck and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:system_r:consolekit_t:s0-s0:c0.c1023
Target Context                system_u:object_r:udev_tbl_t:s0
Target Objects                /dev/.udev/db/\x2fdevices\x2fpci0000:00\x2f0000:00
                              :1b.0\x2fsound\x2fcard0\x2fpcmC0D0p [ file ]
Source                        udev-acl.ck
Source Path                   /lib/udev/udev-acl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           udev-145-4.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.28-1.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.162.rc6.git2.fc12.x86_64 #1 SMP Mon Aug
                              17 16:06:42 EDT 2009 x86_64 x86_64
Alert Count                   1
First Seen                    Thu 20 Aug 2009 12:26:16 IST
Last Seen                     Thu 20 Aug 2009 12:26:16 IST
Local ID                      f6dae8a1-29dc-424b-be0e-f4ac7dafed39
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1250767576.565:19772): avc:  denied  { getattr } for  pid=1488 comm="udev-acl.ck" path="/dev/.udev/db/\x2fdevices\x2fpci0000:00\x2f0000:00:1b.0\x2fsound\x2fcard0\x2fpcmC0D0p" dev=tmpfs ino=8816 scontext=system_u:system_r:consolekit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:udev_tbl_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1250767576.565:19772): arch=c000003e syscall=6 success=yes exit=0 a0=7fffc58fc2a0 a1=7fffc58fae00 a2=7fffc58fae00 a3=d items=0 ppid=1075 pid=1488 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="udev-acl.ck" exe="/lib/udev/udev-acl" subj=system_u:system_r:consolekit_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= consolekit_t ==============
allow consolekit_t udev_tbl_t:file getattr;

Comment 1 Daniel Walsh 2009-08-20 12:26:54 UTC
Looks like you do not have the latest policy installed.

Could you execute

yum reinstall selinux-policy

And see if there are any errors?

Comment 2 Frank Murphy 2009-08-20 13:41:05 UTC
Installed selinux-policy-3.6.26-8.fc12.noarch

As the previous preupgrade-installed version couldn't be found.

No AVC's as yet.

But looking at it the preupgrade version seemed newer?

Comment 3 Daniel Walsh 2009-08-20 14:00:46 UTC
Ok I will close as fixed in rawhide.  Reopen if it happens again.


Note You need to log in before you can comment on or make changes to this bug.